#include <iostream>
#include <math.h>
using namespace std;

double sqs[500000];

int main()
{
    int n;
    int ns[50000];
    cin >> n;
    bool is;
    double sqr1,sqr2;
    for(int i=0;i<n;i++)
    {
        cin >> ns[i];

        is=0;
        for(int j=1;j<=ns[i]/2;j++)
        {
            if(sqs[j]==0 || sqs[ns[i]-j]==0)
            {
                sqr1=sqrt(j);
                sqr2=sqrt(ns[i]-j);
                if(sqr1==floor(sqr1) && sqr2==floor(sqr2))
                {
                    cout << 1;
                    is=1;
                    break;
                }
            }
            else
            {
                if(sqs[j]==floor(sqs[j]) && sqs[ns[i]-j]==floor(sqs[ns[i]-j]))
                {
                    cout << 1;
                    is=1;
                    break;
                }
            }
        }
        if(!is)
        {
            cout << 0;
        }
    }

    return 0;
}
